Open CASCADE Technology: StepSelect_FloatFormat Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepSelect_FloatFormat Class Reference

This class gives control out format for floatting values : ZeroSuppress or no, Main Format, Format in Range (for values around 1.), as StepWriter allows to manage it. Formats are given under C-printf form. More...

`#include <StepSelect_FloatFormat.hxx>`

Inheritance diagram for StepSelect_FloatFormat:
[legend]

## Public Member Functions
| StepSelect_FloatFormat ()
| Creates a new FloatFormat, with standard options : ZeroSuppress, Main Format = E, Format between 0.001 and 1000. = f. More...
void | SetDefault (const Standard_Integer digits=0)
| Sets FloatFormat to default value (see Create) but if <digits> is given positive, it commands Formats (main and range) to ensure <digits> significant digits to be displayed. More...
void | SetZeroSuppress (const Standard_Boolean mode)
| Sets ZeroSuppress mode to a new value. More...
void | SetFormat (const Standard_CString format="%E")
| Sets Main Format to a new value Remark : SetFormat, SetZeroSuppress and SetFormatForRange are independant. More...
void | SetFormatForRange (const Standard_CString format="%f", const Standard_Real Rmin=0.1, const Standard_Real Rmax=1000.0)
| Sets Format for Range to a new value with its range of application. To cancel it, give format as "" (empty string) Remark that if the condition (0. < Rmin < Rmax) is not verified, this secondary format will be ignored. Moreover, this secondary format is intended to be used in a range around 1. More...
void | Format (Standard_Boolean &zerosup, TCollection_AsciiString &mainform, Standard_Boolean &hasrange, TCollection_AsciiString &forminrange, Standard_Real &rangemin, Standard_Real &rangemax) const
| Returns all recorded parameters : zerosup : ZeroSuppress status mainform : Main Format (which applies out of the range, or for every real if no range is set) hasrange : True if a FormatInRange is set, False else (following parameters do not apply if it is False) forminrange : Secondary Format (it applies inside the range) rangemin, rangemax : the range in which the secondary format applies. More...
void | Perform (IFSelect_ContextWrite &ctx, StepData_StepWriter &writer) const
| Sets the Floatting Formats of StepWriter to the recorded parameters. More...
TCollection_AsciiString | Label () const
| Returns specific Label : for instance, "Float Format [ZeroSuppress] %E [, in range R1-R2 %f]". More...
Public Member Functions inherited from IFSelect_GeneralModifier
Standard_Boolean | MayChangeGraph () const
| Returns True if this modifier may change the graph of dependences (aknowledged at creation time) More...
void | SetDispatch (const Handle< IFSelect_Dispatch > &disp)
| Attaches to a Dispatch. If <disp> is Null, Resets it (to apply the Modifier on every Dispatch) More...
Handle< IFSelect_Dispatch > | Dispatch () const
| Returns the Dispatch to be matched, Null if not set. More...
Standard_Boolean | Applies (const Handle< IFSelect_Dispatch > &disp) const
| Returns True if a Model obtained from the Dispatch <disp> is to be treated (apart from the Selection criterium) If Dispatch(me) is Null, returns True. Else, checks <disp> More...
void | SetSelection (const Handle< IFSelect_Selection > &sel)
| Sets a Selection : a Model is treated if it contains one or more Entities designated by the Selection. More...
void | ResetSelection ()
| Resets the Selection : this criterium is not longer active. More...
Standard_Boolean | HasSelection () const
| Returns True if a Selection is set as an additionnal criterium. More...
Handle< IFSelect_Selection > | Selection () const
| Returns the Selection, or a Null Handle if not set. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from StepSelect_FileModifier
| StepSelect_FileModifier ()
Protected Member Functions inherited from IFSelect_GeneralModifier
| IFSelect_GeneralModifier (const Standard_Boolean maychangegraph)
| Sets the Modifier criteria to default Values (i.e. "always applies") <maychangegraph> must be provided at creation time, to : More...

## Detailed Description

This class gives control out format for floatting values : ZeroSuppress or no, Main Format, Format in Range (for values around 1.), as StepWriter allows to manage it. Formats are given under C-printf form.

## Constructor & Destructor Documentation

StepSelect_FloatFormat::StepSelect_FloatFormat | ( |  | ) |

Creates a new FloatFormat, with standard options : ZeroSuppress, Main Format = E, Format between 0.001 and 1000. = f.

## Member Function Documentation

void StepSelect_FloatFormat::Format | ( | Standard_Boolean & | zerosup,
|  | TCollection_AsciiString & | mainform,
|  | Standard_Boolean & | hasrange,
|  | TCollection_AsciiString & | forminrange,
|  | Standard_Real & | rangemin,
|  | Standard_Real & | rangemax
| ) |  | const

Returns all recorded parameters : zerosup : ZeroSuppress status mainform : Main Format (which applies out of the range, or for every real if no range is set) hasrange : True if a FormatInRange is set, False else (following parameters do not apply if it is False) forminrange : Secondary Format (it applies inside the range) rangemin, rangemax : the range in which the secondary format applies.

TCollection_AsciiString StepSelect_FloatFormat::Label | ( |  | ) | const
| virtual

Returns specific Label : for instance, "Float Format [ZeroSuppress] %E [, in range R1-R2 %f]".

Implements IFSelect_GeneralModifier.

void StepSelect_FloatFormat::Perform | ( | IFSelect_ContextWrite & | ctx,
|  | StepData_StepWriter & | writer
| ) |  | const
| virtual

Sets the Floatting Formats of StepWriter to the recorded parameters.

Implements StepSelect_FileModifier.

void StepSelect_FloatFormat::SetDefault | ( | const Standard_Integer | digits = `0` | ) |

Sets FloatFormat to default value (see Create) but if <digits> is given positive, it commands Formats (main and range) to ensure <digits> significant digits to be displayed.

void StepSelect_FloatFormat::SetFormat | ( | const Standard_CString | format = `"%E"` | ) |

Sets Main Format to a new value Remark : SetFormat, SetZeroSuppress and SetFormatForRange are independant.

void StepSelect_FloatFormat::SetFormatForRange | ( | const Standard_CString | format = `"%f"`,
|  | const Standard_Real | Rmin = `0.1`,
|  | const Standard_Real | Rmax = `1000.0`
| ) |  |

Sets Format for Range to a new value with its range of application. To cancel it, give format as "" (empty string) Remark that if the condition (0. < Rmin < Rmax) is not verified, this secondary format will be ignored. Moreover, this secondary format is intended to be used in a range around 1.

void StepSelect_FloatFormat::SetZeroSuppress | ( | const Standard_Boolean | mode | ) |

Sets ZeroSuppress mode to a new value.

The documentation for this class was generated from the following file:

- StepSelect_FloatFormat.hxx